curl --request PATCH \
--url https://api.journeybee.io/v1/deals/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"deal_value": 123,
"stage_uuid": "<string>",
"expiration_date": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/deals/{uuid}"
payload = {
"label": "<string>",
"deal_value": 123,
"stage_uuid": "<string>",
"expiration_date": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
deal_value: 123,
stage_uuid: '<string>',
expiration_date: '<string>'
})
};
fetch('https://api.journeybee.io/v1/deals/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"deal_value": 123,
"total_commission_value": 123,
"expiration_date": "<string>",
"stage": {
"uuid": "<string>",
"label": "<string>",
"phase": "new"
},
"lead": {
"uuid": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"company_name": "<string>"
},
"partner": {
"uuid": "<string>",
"name": "<string>",
"partner_type": "referral"
},
"currency": {
"uuid": "<string>",
"code": "<string>",
"label": "<string>"
},
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"assigned_users": [
{
"uuid": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>"
}
],
"custom_fields": [
{
"uuid": "<string>",
"label": "<string>",
"type": "text",
"value": {
"text": "<string>",
"textarea": "<string>",
"number": 123,
"date": "<string>",
"boolean": true,
"select": 123,
"multi_select": [
123
]
},
"options": [
{
"id": 123,
"label": "<string>"
}
]
}
],
"created_at": "<string>",
"updated_at": "<string>"
}Update a deal
Update deal fields. Changing deal_value automatically recalculates total_commission_value and rebuilds pending payment records based on the deal’s current commission calculation.
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
Response
Default Response
Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.
Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes